#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	KSBA = rot13(digit_to_letter(x509)) to be pronounced as Kasbah
Summary(es.UTF-8):	KSBA = rot13(digit_to_letter(x509))
Summary(pl.UTF-8):	KSBA = rot13(digit_to_letter(x509)), wymawiane "kasba"
Summary(pt_BR.UTF-8):	KSBA = rot13(digit_to_letter(x509)) pronunciado como Kasbah
Name:		libksba
Version:	1.6.7
Release:	1%{?tld}
License:	LGPL v3+ or GPL v2+ (libraries), GPL v3+ (the rest)
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libksba/%{name}-%{version}.tar.bz2
# Source0-md5:	7e736de467b67c7ea88de746c31ea12f
Patch0:		%{name}-info.patch
URL:		https://www.gnupg.org/related_software/libksba/
BuildRequires:	autoconf >= 2.69
BuildRequires:	autoconf-archive
BuildRequires:	automake >= 1:1.14
BuildRequires:	libgpg-error-devel >= 1.46
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	texinfo
Requires:	libgpg-error >= 1.46
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSBA is a library to make the tasks of working with X.509
certificates, CMS data and related data more easy.

%description -l pl.UTF-8
KSBA jest biblioteką ułatwiającą korzystanie z certyfikatów X.509,
danych CMS i podobnych danych.

%description -l pt_BR.UTF-8
KSBA é uma biblioteca para tratar certificados X.509, dados CMS e
dados relacionados de forma fácil.

%package devel
Summary:	Header files to develop KSBA applications
Summary(es.UTF-8):	Archivos de desarrollo de KSBA
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów używających KSBA
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da KSBA
License:	LGPL v3+ or GPL v2+ (libraries), GPL v3+ (manual)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgpg-error-devel >= 1.46

%description devel
Header files to develop KSBA applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów używających KSBA.

%description devel -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para KSBA.

%package static
Summary:	Static KSBA libraries
Summary(es.UTF-8):	Archivos de desarrollo de KSBA - estatico
Summary(pl.UTF-8):	Biblioteki statyczne KSBA
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da KSBA - biblioteca estática
License:	LGPL v3+ or GPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KSBA libraries.

%description static -l pl.UTF-8
Biblioteki statyczne KSBA.

%description static -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para KSBA - estático.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libksba.la

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
# note: COPYING specifies license types, doesn't contain LGPL/GPL text
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libksba.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libksba.so.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libksba.so
%{_includedir}/ksba.h
%{_pkgconfigdir}/ksba.pc
%{_aclocaldir}/ksba.m4
%{_infodir}/ksba.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libksba.a
%endif
%changelog
* Sat Jul 06 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libksba.git;a=log;h=master

* Sun Jun 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 24e4466
- updated to 1.6.7

* Sun Feb 25 2024 Jakub Bogusz <qboosh@pld-linux.org> f1f29a0
- updated to 1.6.6

* Thu Nov 16 2023 Jan Palus <atler@pld-linux.org> 4c164aa
- add static_libs bcond

* Thu Nov 16 2023 Jan Palus <atler@pld-linux.org> e935e50
- up to 1.6.5

* Mon Jun 19 2023 Jan Palus <atler@pld-linux.org> da6a29f
- up to 1.6.4

* Tue Dec 20 2022 Jan Palus <atler@pld-linux.org> 402e132
- up to 1.6.3 (more fixes for CVE-2022-3515)

* Sun Oct 30 2022 Jan Rękorajski <baggins@pld-linux.org> ac8517f
- Release 3 (by relup.sh)

* Sat Oct 08 2022 Jan Palus <atler@pld-linux.org> 1f0cb91
- drop ksba-config and require libgpg-error >= 1.46; rel 2

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> 52abbcb
- fixes CVE-2022-3515

* Thu Jun 10 2021 Jan Palus <atler@pld-linux.org> 2f83af3
- up to 1.6.0

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 0fea322
- up to 1.5.1

* Wed Nov 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 65bacc3
- updated to 1.5.0

* Sun May 24 2020 Jakub Bogusz <qboosh@pld-linux.org> e4b551e
- updated to 1.4.0; adds ksba.pc, so dropped .la file

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> fb565b4
- updated to 1.3.5

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 37b4ab7
- updated to 1.3.4 (DoS/crash fixes)

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 1f1b1e8
- updated to 1.3.3 (fixes integer overflow)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 425b8c4
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c93024
- up to 1.3.2; SECURITY; buffer overflow fix

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> a3166e4
- updated to 1.3.1
- updated info patch

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 718068b
- release 2 (by relup.sh)

